Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Switch

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Group
                  |
                  +--shout3d.core.Switch

public class Switch
extends Group
implements FieldObserver

A Switch.

Field Summary
`NodeArrayField` | `choice`
`Node[]` | `defaultChoiceArray`
`IntField` | `whichChoice`

Fields inherited from class shout3d.core.Group
`children, defaultChildArray, hidden`

Constructor Summary
`Switch()` Constructs a default Transform

Method Summary
`void` | `addChildren(Node[] nodesToAdd)` Override to do nothing but throw an exception.
`void` | `onFieldChange(Field theField, java.lang.Object userData)` Subclasses must call this within their own onFieldChange() methods.
`void` | `removeChildren(Node[] nodesToRemove)` Override to do nothing but throw an exception.

Methods inherited from class shout3d.core.Group
`getCameraBBoxMax, getCameraBBoxMin, getInverseMatrix, getLocalBBoxMax, getLocalBBoxMin, getMatrix, getWorldBBoxMax, getWorldBBoxMin`

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultChoiceArray

    public final Node[] defaultChoiceArray

### choice

    public final NodeArrayField choice

### whichChoice

    public final IntField whichChoice

Constructor Detail

### Switch

    public Switch()

  Constructs a default Transform

Method Detail

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  Subclasses must call this within their own onFieldChange() methods.
  Specified by:
    onFieldChange in interface FieldObserver

### addChildren

    public void addChildren(Node[] nodesToAdd)

  Override to do nothing but throw an exception. This class handles its children field indirectly through the choice and whichChoice fields.
  Parameters:
    `nodesToRemove` - the Nodes to be removed
  Overrides:
    addChildren in class Group

### removeChildren

    public void removeChildren(Node[] nodesToRemove)

  Override to do nothing but throw an exception. This class handles its children field indirectly through the choice and whichChoice fields.
  Parameters:
    `nodesToRemove` - the Nodes to be removed
  Overrides:
    removeChildren in class Group

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD